| Home | Libraries | People | FAQ | More

## Class hours

boost::posix_time::hours

## Synopsis

    // In header: <boost/date_time/posix_time/posix_time_duration.hpp>

    class hours : public boost::posix_time::time_duration {
    public:
      // construct/copy/destruct
      template<typename T>
        explicit hours(T const &,
                       typename boost::enable_if< boost::is_integral< T >, void >::type * = BOOST_DATE_TIME_NULLPTR);
    };

## Description

Allows expression of durations as an hour count The argument must be an integral type

### `hours` public construct/copy/destruct

1.     template<typename T>
         explicit hours(T const & h,
                        typename boost::enable_if< boost::is_integral< T >, void >::type * = BOOST_DATE_TIME_NULLPTR);